LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XScriptTypeDetector Interface Referencepublished

contains the help routines for layouting complex text More...

`import"XScriptTypeDetector.idl";`

Inheritance diagram for XScriptTypeDetector:

## Public Member Functions
long | beginOfScriptDirection ([in] string aText, [in] long nPos, [in] short nScriptDirection)
long | endOfScriptDirection ([in] string aText, [in] long nPos, [in] short nScriptDirection)
short | getScriptDirection ([in] string aText, [in] long nPos, [in] short nDefaultScriptDirection)
long | beginOfCTLScriptType ([in] string aText, [in] long nPos)
long | endOfCTLScriptType ([in] string aText, [in] long nPos)
short | getCTLScriptType ([in] string aText, [in] long nPos)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

contains the help routines for layouting complex text

Assumption - StartPos is inclusive and EndPos is exclusive.

The nScriptDirection parameters are of type ScriptDirection

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ beginOfCTLScriptType()

long beginOfCTLScriptType | ( | [in] string | aText,
|  | [in] long | nPos
| ) |  |

Returns
  the position where the specified CTL Script Type starts.

Deprecated:
  since LibreOffice 7.6

## ◆ beginOfScriptDirection()

long beginOfScriptDirection | ( | [in] string | aText,
|  | [in] long | nPos,
|  | [in] short | nScriptDirection
| ) |  |

Returns
  the position where the specified Script Direction starts.

## ◆ endOfCTLScriptType()

long endOfCTLScriptType | ( | [in] string | aText,
|  | [in] long | nPos
| ) |  |

Returns
  the position where the specified CTL Script Type ends.

Deprecated:
  since LibreOffice 7.6

## ◆ endOfScriptDirection()

long endOfScriptDirection | ( | [in] string | aText,
|  | [in] long | nPos,
|  | [in] short | nScriptDirection
| ) |  |

Returns
  the position where the specified Script Direction ends.

## ◆ getCTLScriptType()

short getCTLScriptType | ( | [in] string | aText,
|  | [in] long | nPos
| ) |  |

Returns
  the CTL script type of the current position.
  One of CTLScriptType constants.

Deprecated:
  since LibreOffice 7.6

## ◆ getScriptDirection()

short getScriptDirection | ( | [in] string | aText,
|  | [in] long | nPos,
|  | [in] short | nDefaultScriptDirection
| ) |  |

Returns
  the Script Direction of the current position.

The documentation for this interface was generated from the following file:

- com/sun/star/i18n/XScriptTypeDetector.idl